@import url("./assets/fonts/Nunito/index.css");
@import url("./assets/fonts/BoldPixels/index.css");


body {
    font-family: "Nunito", sans-serif;
}

* {
    margin: 0px;
    list-style: none;
    font-size: 1rem;
}

a {
    color: black;
    font-style: unset;
    text-decoration: none;
}

:root {
    --gradient-1-vertical: linear-gradient(90deg, var(--color-1) 0%, var(--color-2) 100%);
    --color-1: #192a46;
    --color-2: #507591;
    --color-3: #142238;
    --color-4: #142238;
    --color-5: rgba(20, 34, 56, 0.85);
    --text-color-1: #b8d3ff;
    --text-color-2: #fae47f;
    --text-color-3: #fae47f;
    --text-color-4: #fae47f;
    --text-color-5: #fae47f;
    --text-color-6: #ffffff;
    --gradient-2: linear-gradient(135deg, var(--color-3) 0%, var(--color-4) 100%);
    --settings-background: url("./assets/img/bg.jpg");
}

body {
    background: linear-gradient(0deg, var(--color-3) 0%, var(--color-3) 10%, var(--color-3) 20%, var(--color-5) 60%), var(--settings-background);
    background-attachment: fixed;
    background-position: center;
    background-size: cover;
    height: 100dvh;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

header {
    background: var(--gradient-1-vertical);
    display: flex;
    padding: 15px 30px;
    align-items: center;
    justify-content: space-between;
}

.nav-container {
    display: flex;
    gap: 30px;
    align-items: center;
}

.nav-container a {
    color: var(--text-color-6);
    font-weight: 700;
}

.nav-container .header-logolink {
    color: var(--text-color-6);
    font-weight: 700;
}

.nav-container .header-logolink:hover {
    text-decoration: underline;
}

.nav-container .header-logo {
    height: 50px;
    width: auto;
}

.site-title h1 {
    font-size: 1.5rem;
    color: var(--text-color-6);
}



.maps_container {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    justify-content: center;
    padding: 30px;
    height: 100%;
    overflow-y: scroll;
}

.maps_container a {
    display: flex;
    aspect-ratio: 1/1;
    position: relative;
    border-radius: 30px;
    overflow: hidden;
    flex-basis: 300px;
    background-size: cover;
    background-position: center;
    border-bottom: 2px solid var(--color-2);
}

.maps_container a::before {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0.185) 40%);
    pointer-events: none;
    z-index: 0;
}


.maps_container p {
    position: absolute;
    bottom: 15px;
    right: 15px;
    color: var(--text-color-2);
    z-index: 1;
    font-weight: 900;
    font-size: 1.3rem;
}

.maps_container p span {
    font-size: 2.5rem;
    font-family: "BoldPixels", sans-serif;
    color: var(--text-color-6);
    margin-left: 5px;
}

@media (max-width: 550px) {
    header {
        flex-wrap: wrap-reverse;
        gap: 10px;
        padding: 20px;
    }

    .site-title {
        display: flex;
        width: 100%;
        justify-content: center;
    }

    .nav-container {
        width: 100%;
        justify-content: center;
        gap: 20px;
    }

    .maps_container a {
        aspect-ratio: 9/5;
    }
}